USN-6068-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6068-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6068-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6068-1
Related
Published
2023-05-10T11:37:14.255230Z
Modified
2023-05-10T11:37:14.255230Z
Summary
openvswitch vulnerability
Details

David Marchand discovered that Open vSwitch incorrectly handled IP packets with the protocol set to 0. A remote attacker could possibly use this issue to cause a denial of service.

References

Affected packages

Ubuntu:22.04:LTS / openvswitch

Package

Name
openvswitch

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.17.5-0ubuntu0.22.04.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-openvswitch": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-testcontroller": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-source": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-switch-dpdk": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-ipsec": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-vtep": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-switch": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-test": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-common": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-doc": "2.17.5-0ubuntu0.22.04.2",
            "openvswitch-pki": "2.17.5-0ubuntu0.22.04.2"
        }
    ]
}

Ubuntu:20.04:LTS / openvswitch

Package

Name
openvswitch

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.13.8-0ubuntu1.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-openvswitch": "2.13.8-0ubuntu1.2",
            "openvswitch-testcontroller": "2.13.8-0ubuntu1.2",
            "openvswitch-source": "2.13.8-0ubuntu1.2",
            "openvswitch-switch-dpdk": "2.13.8-0ubuntu1.2",
            "openvswitch-test": "2.13.8-0ubuntu1.2",
            "openvswitch-vtep": "2.13.8-0ubuntu1.2",
            "openvswitch-switch": "2.13.8-0ubuntu1.2",
            "openvswitch-common": "2.13.8-0ubuntu1.2",
            "openvswitch-doc": "2.13.8-0ubuntu1.2",
            "openvswitch-pki": "2.13.8-0ubuntu1.2"
        }
    ]
}

Ubuntu:18.04:LTS / openvswitch

Package

Name
openvswitch

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.9.8-0ubuntu0.18.04.5

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "openvswitch-testcontroller": "2.9.8-0ubuntu0.18.04.5",
            "ovn-central": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-switch-dpdk": "2.9.8-0ubuntu0.18.04.5",
            "ovn-common": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-test": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-switch": "2.9.8-0ubuntu0.18.04.5",
            "ovn-controller-vtep": "2.9.8-0ubuntu0.18.04.5",
            "ovn-docker": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-pki": "2.9.8-0ubuntu0.18.04.5",
            "python3-openvswitch": "2.9.8-0ubuntu0.18.04.5",
            "python-openvswitch": "2.9.8-0ubuntu0.18.04.5",
            "ovn-host": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-vtep": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-common": "2.9.8-0ubuntu0.18.04.5",
            "openvswitch-doc": "2.9.8-0ubuntu0.18.04.5"
        }
    ]
}